Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: boot sense espai i missatge d'error

  1. #1
    Join Date
    Jan 2017
    Beans
    9

    boot sense espai i missatge d'error

    Hola, em passen dues coses que suposo que tindran alguna cosa a veure.
    Primer a l'encendre em deia que el boot estava ple, però en algun moment suposo que vaig acceptar i no em torna a aparèixer però si vaig a propietats em surt això:
    Captura de 2018-06-19 19-50-23.jpg

    I per una altra banda em surt una icona de prohibit a la barra de dalt amb el següent missatge:
    IMG_20180619_194411.jpg
    No sé si es veu, si no, ho copio.
    Moltes gràcies.
    Ah, el meu ubuntu és 16.04.1 LTS
    Last edited by rvprada; June 19th, 2018 at 07:02 PM.

  2. #2
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    2,161
    Distro
    Ubuntu Development Release

    Re: boot sense espai i missatge d'error

    Pel tema de l'espai, es pot mirar des d'una terminal (obre-la des del "dash" o amb control-alt-t) i entrant:

    Code:
    df
    això indicarà l'espai que usen les diferents particions.

    Pel que fa al missatge d'actualitzacions, també des d'una terminal, et pot fer:

    Code:
    sudo apt update
    sudo apt upgrade
    i a veure què diu.
    Catalan Team: Tingueu presents les normes d'or : poseu un títol entenedor i apropiat ; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut. Si s'ha resolt, marqueu [Solved].

  3. #3
    Join Date
    Jan 2017
    Beans
    9

    Re: boot sense espai i missatge d'error

    Moltes gràcies, això és el que em diu:

    df
    S. fitxers Blocs de 1K En ús Disponible %Ús Muntat a
    udev 1941540 0 1941540 0% /dev
    tmpfs 392500 6232 386268 2% /run
    /dev/mapper/ubuntu--vg-root 475567184 86635412 364751244 20% /
    tmpfs 1962488 13908 1948580 1% /dev/shm
    tmpfs 5120 4 5116 1% /run/lock
    tmpfs 1962488 0 1962488 0% /sys/fs/cgroup
    /dev/loop1 93056 93056 0 100% /snap/krop/104
    /dev/loop6 75264 75264 0 100% /snap/remmina/1096
    /dev/loop7 78464 78464 0 100% /snap/remmina/600
    /dev/loop5 75264 75264 0 100% /snap/remmina/766
    /dev/loop8 93056 93056 0 100% /snap/krop/65
    /dev/loop2 93056 93056 0 100% /snap/krop/61
    /dev/loop0 88704 88704 0 100% /snap/core/4571
    /dev/loop3 88704 88704 0 100% /snap/core/4650
    /dev/loop4 89088 89088 0 100% /snap/core/4830
    /dev/sda2 483946 473478 0 100% /boot
    /dev/sda1 523248 3480 519768 1% /boot/efi
    tmpfs 392500 124 392376 1% /run/user/1000

    sudo apt update
    [sudo] contrasenya per a ramiro:
    Obj:1 http://security.ubuntu.com/ubuntu xenial-security InRelease
    Obj:2 http://es.archive.ubuntu.com/ubuntu xenial InRelease
    Obj:3 http://ppa.launchpad.net/mscore-ubun...-stable/ubuntu xenial InRelease
    Ign:4 http://dl.google.com/linux/chrome/deb stable InRelease
    Obj:5 http://repository.spotify.com stable InRelease
    Obj:6 http://es.archive.ubuntu.com/ubuntu xenial-updates InRelease
    Obj:7 http://es.archive.ubuntu.com/ubuntu xenial-backports InRelease
    Ign:8 http://dl.google.com/linux/talkplugin/deb stable InRelease
    Obj:9 http://dl.google.com/linux/chrome/deb stable Release
    Obj:10 http://dl.google.com/linux/talkplugin/deb stable Release
    S'està llegint la llista de paquets… Fet
    S'està construint l'arbre de dependències
    S'està llegint la informació de l'estat… Fet
    229 packages can be upgraded. Run 'apt list --upgradable' to see them.

    udo apt upgrade
    S'està llegint la llista de paquets… Fet
    S'està construint l'arbre de dependències
    S'està llegint la informació de l'estat… Fet
    Potser voldreu executar «apt-get -f install» per a corregir-ho.
    Els següents paquets tenen dependències sense satisfer:
    linux-image-extra-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic però no està instaŀlat
    linux-image-extra-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic però no està instaŀlat
    linux-image-generic : Depèn: linux-image-4.4.0-128-generic però no està instaŀlat
    linux-signed-image-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic (= 4.4.0-127.153) però no està instaŀlat
    linux-signed-image-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic (= 4.4.0-128.154) però no està instaŀlat
    E: Dependències sense satisfer. Proveu-ho emprant -f.

  4. #4
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    2,161
    Distro
    Ubuntu Development Release

    Re: boot sense espai i missatge d'error

    Sembla que els dos problemes estan relacionats. La partició "/boot" mostra 100% d'ús, per tant no et deixa actualitzar el nucli (kernel) i això és del que es queixen les actualitzacions.

    Es podria primer provar d'eliminar nuclis antics. Prova de fer:

    Code:
    sudo apt autoremove
    Això t'hauria de deixar amb els últims nuclis i hauria d'eliminar nuclis molt antics.
    Catalan Team: Tingueu presents les normes d'or : poseu un títol entenedor i apropiat ; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut. Si s'ha resolt, marqueu [Solved].

  5. #5
    Join Date
    Jan 2017
    Beans
    9

    Re: boot sense espai i missatge d'error

    Em diu això:
    S'està llegint la llista de paquets… Fet
    S'està construint l'arbre de dependències
    S'està llegint la informació de l'estat… Fet
    Potser voldreu executar «apt-get -f install» per a corregir-ho.
    Els següents paquets tenen dependències sense satisfer:
    linux-image-extra-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic però no està instaŀlat
    linux-image-extra-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic però no està instaŀlat
    linux-image-generic : Depèn: linux-image-4.4.0-128-generic però no està instaŀlat
    linux-signed-image-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic (= 4.4.0-127.153) però no està instaŀlat
    linux-signed-image-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic (= 4.4.0-128.154) però no està instaŀlat
    E: Dependències sense satisfer. Proveu-ho emprant -f.

    He fet:
    sudo apt-get -f install

    S'està llegint la llista de paquets… Fet
    S'està construint l'arbre de dependències
    S'està llegint la informació de l'estat… Fet
    S'estan corregint les dependències… Fet
    Els paquets següents s'han instaŀlat automàticament i ja no són necessaris:
    libqpdf17 linux-headers-4.4.0-101 linux-headers-4.4.0-101-generic
    linux-headers-4.4.0-116 linux-headers-4.4.0-116-generic
    linux-headers-4.4.0-119 linux-headers-4.4.0-119-generic
    linux-headers-4.4.0-127 linux-headers-4.4.0-127-generic
    linux-headers-4.4.0-93 linux-headers-4.4.0-93-generic linux-headers-4.4.0-96
    linux-headers-4.4.0-96-generic linux-headers-4.4.0-98
    linux-headers-4.4.0-98-generic linux-image-4.4.0-101-generic
    linux-image-4.4.0-116-generic linux-image-4.4.0-119-generic
    linux-image-4.4.0-127-generic linux-image-4.4.0-93-generic
    linux-image-4.4.0-96-generic linux-image-4.4.0-98-generic
    linux-image-extra-4.4.0-101-generic linux-image-extra-4.4.0-116-generic
    linux-image-extra-4.4.0-119-generic linux-image-extra-4.4.0-127-generic
    linux-image-extra-4.4.0-93-generic linux-image-extra-4.4.0-96-generic
    linux-image-extra-4.4.0-98-generic linux-signed-image-4.4.0-101-generic
    linux-signed-image-4.4.0-116-generic linux-signed-image-4.4.0-119-generic
    linux-signed-image-4.4.0-127-generic linux-signed-image-4.4.0-93-generic
    linux-signed-image-4.4.0-96-generic linux-signed-image-4.4.0-98-generic
    python-appindicator python-gobject python-mygpoclient python-simplejson
    Empreu «sudo apt autoremove» per a suprimir-los.
    The following additional packages will be installed:
    linux-image-4.4.0-127-generic linux-image-4.4.0-128-generic
    Paquets suggerits:
    fdutils linux-doc-4.4.0 | linux-source-4.4.0 linux-tools
    S'instaŀlaran els paquets NOUS següents:
    linux-image-4.4.0-127-generic linux-image-4.4.0-128-generic
    0 actualitzats, 2 nous a instaŀlar, 0 a suprimir i 231 no actualitzats.
    11 no instaŀlats o suprimits completament.
    S'ha d'obtenir 0 B/44,2 MB d'arxius.
    Després d'aquesta operació s'empraran 136 MB d'espai en disc addicional.
    Voleu continuar? [S/n] s
    (S'està llegint la base de dades… hi ha 543604 fitxers i directoris instal·lats actualment.)
    S'està preparant per a desempaquetar …/linux-image-4.4.0-128-generic_4.4.0-128.154_amd64.deb…
    Examining /etc/kernel/preinst.d/
    run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
    Done.
    S'està desempaquetant linux-image-4.4.0-128-generic (4.4.0-128.154)…
    dpkg: s'ha produït un error en processar l'arxiu /var/cache/apt/archives/linux-image-4.4.0-128-generic_4.4.0-128.154_amd64.deb (--unpack):
    no es poden copiar les dades extretes de «./boot/System.map-4.4.0-128-generic» a «/boot/System.map-4.4.0-128-generic.dpkg-new»: no s'ha pogut escriure (No resta espai al dispositiu)
    No s'ha escrit cap informe perquè el missatge d'error indica una fallida per disc ple
    dpkg-deb: s'ha produït un error: el subprocés enganxa ha estat finalitzat pel senyal (La canonada s’ha trencat)
    Examining /etc/kernel/postrm.d .
    run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
    run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-128-generic /boot/vmlinuz-4.4.0-128-generic
    S'està preparant per a desempaquetar …/linux-image-4.4.0-127-generic_4.4.0-127.153_amd64.deb…
    Examining /etc/kernel/preinst.d/
    run-parts: executing /etc/kernel/preinst.d/intel-microcode 4.4.0-127-generic /boot/vmlinuz-4.4.0-127-generic
    Done.
    S'està desempaquetant linux-image-4.4.0-127-generic (4.4.0-127.153)…
    dpkg: s'ha produït un error en processar l'arxiu /var/cache/apt/archives/linux-image-4.4.0-127-generic_4.4.0-127.153_amd64.deb (--unpack):
    no es poden copiar les dades extretes de «./boot/vmlinuz-4.4.0-127-generic» a «/boot/vmlinuz-4.4.0-127-generic.dpkg-new»: no s'ha pogut escriure (No resta espai al dispositiu)
    No s'ha escrit cap informe perquè el missatge d'error indica una fallida per disc ple
    dpkg-deb: s'ha produït un error: el subprocés enganxa ha estat finalitzat pel senyal (La canonada s’ha trencat)
    Examining /etc/kernel/postrm.d .
    run-parts: executing /etc/kernel/postrm.d/initramfs-tools 4.4.0-127-generic /boot/vmlinuz-4.4.0-127-generic
    run-parts: executing /etc/kernel/postrm.d/zz-update-grub 4.4.0-127-generic /boot/vmlinuz-4.4.0-127-generic
    S'han trobat errors en processar:
    /var/cache/apt/archives/linux-image-4.4.0-128-generic_4.4.0-128.154_amd64.deb
    /var/cache/apt/archives/linux-image-4.4.0-127-generic_4.4.0-127.153_amd64.deb
    E: Sub-process /usr/bin/dpkg returned an error code (1)

    He tornat a fer sudo apt autoremove i em torna a sortir el mateix.
    Last edited by rvprada; June 27th, 2018 at 08:40 PM.

  6. #6
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    2,161
    Distro
    Ubuntu Development Release

    Re: boot sense espai i missatge d'error

    L'ordre

    Code:
    sudo apt-get -f install
    no funciona per la manca d'espai a la partició /boot. Potser el que es pot fer és fer una llista dels nuclis instal·lats i eliminar els antics. Per fer una llista dels nuclis instal·lats excloent el que s'està executant, aquesta ordre hauria de ser útil

    Code:
     dpkg -l | tail -n +6 | grep -E 'linux-image-[0-9]+' | grep -Fv $(uname -r) | grep ii
    i després s'hauria de fer també

    Code:
    uname -a
    per assegurar-se quin és el nucli que s'està executant.

    Un cop determinat els vells, es podran eliminar per fer espai a /boot.
    Catalan Team: Tingueu presents les normes d'or : poseu un títol entenedor i apropiat ; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut. Si s'ha resolt, marqueu [Solved].

  7. #7
    Join Date
    Jan 2017
    Beans
    9

    Re: boot sense espai i missatge d'error

    Ho sento però un cop fet això què has dit no tinc ni idea de com fer això que dius d'eliminar els antics. Això és el que em. diu. Moltíssimes gràcies.

    dpkg -l | tail -n +6 | grep -E 'linux-image-[0-9]+' | grep -Fv $(uname -r) | grep ii

    ii linux-image-4.4.0-101-generic 4.4.0-101.124 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-116-generic 4.4.0-116.140 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-119-generic 4.4.0-119.143 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-121-generic 4.4.0-121.145 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-93-generic 4.4.0-93.116 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-96-generic 4.4.0-96.119 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP
    ii linux-image-4.4.0-98-generic 4.4.0-98.121 amd64 Linux kernel image for version 4.4.0 on 64 bit x86 SMP

    uname -a
    Linux ramiro-Lenovo-B50-10 4.4.0-124-generic #148-Ubuntu SMP Wed May 2 13:00:18 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

    No sé si t'és útil, però això és el que hi ha a boot:
    /boot/efi
    /boot/grub
    /boot/abi-4.4.0-93-generic
    /boot/abi-4.4.0-96-generic
    /boot/abi-4.4.0-98-generic
    /boot/abi-4.4.0-101-generic
    /boot/abi-4.4.0-116-generic
    /boot/abi-4.4.0-119-generic
    /boot/abi-4.4.0-121-generic
    /boot/abi-4.4.0-124-generic
    /boot/config-4.4.0-93-generic
    /boot/config-4.4.0-96-generic
    /boot/config-4.4.0-98-generic
    /boot/config-4.4.0-101-generic
    /boot/config-4.4.0-116-generic
    /boot/config-4.4.0-119-generic
    /boot/config-4.4.0-121-generic
    /boot/config-4.4.0-124-generic
    /boot/initrd.img-4.4.0-93-generic
    /boot/initrd.img-4.4.0-96-generic
    /boot/initrd.img-4.4.0-98-generic
    /boot/initrd.img-4.4.0-101-generic
    /boot/initrd.img-4.4.0-116-generic
    /boot/initrd.img-4.4.0-119-generic
    /boot/initrd.img-4.4.0-121-generic
    /boot/initrd.img-4.4.0-124-generic
    /boot/memtest86+.bin
    /boot/memtest86+.elf
    /boot/memtest86+_multiboot.bin
    /boot/retpoline-4.4.0-116-generic
    /boot/retpoline-4.4.0-119-generic
    /boot/retpoline-4.4.0-121-generic
    /boot/retpoline-4.4.0-124-generic
    /boot/System.map-4.4.0-93-generic
    /boot/System.map-4.4.0-96-generic
    /boot/System.map-4.4.0-98-generic
    /boot/System.map-4.4.0-101-generic
    /boot/System.map-4.4.0-116-generic
    /boot/System.map-4.4.0-119-generic
    /boot/System.map-4.4.0-121-generic
    /boot/System.map-4.4.0-124-generic
    /boot/vmlinuz-4.4.0-93-generic
    /boot/vmlinuz-4.4.0-93-generic.efi.signed
    /boot/vmlinuz-4.4.0-96-generic
    /boot/vmlinuz-4.4.0-96-generic.efi.signed
    /boot/vmlinuz-4.4.0-98-generic
    /boot/vmlinuz-4.4.0-98-generic.efi.signed
    /boot/vmlinuz-4.4.0-101-generic
    /boot/vmlinuz-4.4.0-101-generic.efi.signed
    /boot/vmlinuz-4.4.0-116-generic
    /boot/vmlinuz-4.4.0-116-generic.efi.signed
    /boot/vmlinuz-4.4.0-119-generic
    /boot/vmlinuz-4.4.0-119-generic.efi.signed
    /boot/vmlinuz-4.4.0-121-generic
    /boot/vmlinuz-4.4.0-121-generic.efi.signed
    /boot/vmlinuz-4.4.0-124-generic
    /boot/vmlinuz-4.4.0-124-generic.efi.signed
    Last edited by rvprada; June 28th, 2018 at 08:02 PM.

  8. #8
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    2,161
    Distro
    Ubuntu Development Release

    Re: boot sense espai i missatge d'error

    D'acord, s'haurien d'eliminar tots els nuclis antics i deixar sols l'últim i el penúltim. Com es veu a la primera sortida, hi ha un munt de nuclis antics i per això s'ha omplert la partició /boot. S'haurien d'eliminar tots menys el 124 que és el que s'està usant i el 121 que és l'anterior. Es pot començar pel més antic de tots:

    Code:
    sudo apt remove  linux-image-4.4.0-101-generic  linux-headers-4.4.0-101-generic
    A veure si funciona això, si funciona després es podrà eliminar la resta de nuclis antics.
    Catalan Team: Tingueu presents les normes d'or : poseu un títol entenedor i apropiat ; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut. Si s'ha resolt, marqueu [Solved].

  9. #9
    Join Date
    Jan 2017
    Beans
    9

    Re: boot sense espai i missatge d'error

    Em sap greu seguir donant tant la tabarra, però torna a respondre el mateix:
    S'està llegint la llista de paquets… Fet
    S'està construint l'arbre de dependències
    S'està llegint la informació de l'estat… Fet
    Potser voldreu executar «apt-get -f install» per corregir-ho:
    Els següents paquets tenen dependències sense satisfer:
    linux-image-extra-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic però no serà instaŀlat
    linux-image-extra-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic però no serà instaŀlat
    linux-image-extra-4.4.0-93-generic : Depèn: linux-image-4.4.0-93-generic però no serà instaŀlat
    linux-image-generic : Depèn: linux-image-4.4.0-128-generic però no serà instaŀlat
    linux-signed-image-4.4.0-127-generic : Depèn: linux-image-4.4.0-127-generic (= 4.4.0-127.153) però no serà instaŀlat
    linux-signed-image-4.4.0-128-generic : Depèn: linux-image-4.4.0-128-generic (= 4.4.0-128.154) però no serà instaŀlat
    linux-signed-image-4.4.0-93-generic : Depèn: linux-image-4.4.0-93-generic (= 4.4.0-93.116) però no serà instaŀlat
    E: Dependències insatisfetes. Proveu amb «apt-get -f install» sense paquets (o especifiqueu una solució).

    Seria una barbaritat eliminar-los un a un amb compte a través de l'explorador en lloc de des d'un terminal?
    Infinites gràcies.

  10. #10
    Join Date
    Feb 2007
    Location
    L'Hospitalet de Llobregat
    Beans
    2,161
    Distro
    Ubuntu Development Release

    Re: boot sense espai i missatge d'error

    Doncs s'haurà de força la desinstal·lació amb "dpkg" en comptes de "sudo apt remove". Això és vàlid en aquest cas que hi ha les dependències sense satisfer, però no s'hauria d'usar de forma general per eliminar paquets. Per tant ara s'ha de provar:

    Code:
    sudo dpkg --force-all -P linux-image-4.4.0-101-generic
    sudo dpkg --force-all -P linux-headers-4.4.0-101-generic
    a veure si hi ha sort així.

    Jo no eliminaria els fitxers de la carpeta "/boot" directament, això pot afectar l'arrencada del sistema i crear més problemes.
    Last edited by wgarcia; July 2nd, 2018 at 01:06 PM.
    Catalan Team: Tingueu presents les normes d'or : poseu un títol entenedor i apropiat ; digueu quina versió i variant d'Ubuntu feu servir i a quina màquina; i què heu provat abans de demanar ajut. Si s'ha resolt, marqueu [Solved].

Page 1 of 2 12 LastLast

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •